Package org.zkoss.bind.impl

## Class BindTabboxRenderer

- java.lang.Object
- - org.zkoss.bind.impl.AbstractRenderer
  - - org.zkoss.bind.impl.BindTabboxRenderer

- All Implemented Interfaces:
    `java.io.Serializable`, `TabboxRenderer<java.lang.Object>`

      public class BindTabboxRenderer
      extends AbstractRenderer
      implements TabboxRenderer<java.lang.Object>, java.io.Serializable

  Since:
    7.0.0
  Author:
    dennis
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.impl.AbstractRenderer

      `CURRENT_INDEX_RESOLVER_ATTR, EACH_ATTR, EACH_STATUS_VAR, EACH_VAR, IS_TEMPLATE_MODEL_ENABLED_ATTR, RENDERED_COMPONENTS, STATUS_ATTR, STATUS_POST_VAR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindTabboxRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `renderTab​(Tab item, java.lang.Object data, int index)` | Renders the data to the specified tab.
    `void` | `renderTabpanel​(Tabpanel item, java.lang.Object data, int index)` | Renders the data to the specified tabpanel.

    - ### Methods inherited from class org.zkoss.bind.impl.AbstractRenderer

      `addItemReference, addTemplateTracking, filterOutShadows, resolveTemplate, resolveTemplate, setAttributeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindTabboxRenderer

          public BindTabboxRenderer()

  - ### Method Detail

    - #### renderTab

          public void renderTab​(Tab item,
                                java.lang.Object data,
                                int index)
                         throws java.lang.Exception

      Description copied from interface: `TabboxRenderer`
      Renders the data to the specified tab.
      Specified by:
        `renderTab` in interface `TabboxRenderer<java.lang.Object>`
      Parameters:
        `item` - the tab to render the result.
        `data` - that is returned from `ListModel.getElementAt(int)`
        `index` - the index of the data that is currently being rendered
      Throws:
        `java.lang.Exception`

    - #### renderTabpanel

          public void renderTabpanel​(Tabpanel item,
                                     java.lang.Object data,
                                     int index)
                              throws java.lang.Exception

      Description copied from interface: `TabboxRenderer`
      Renders the data to the specified tabpanel.
      Specified by:
        `renderTabpanel` in interface `TabboxRenderer<java.lang.Object>`
      Parameters:
        `item` - the tabpanel to render the result.
        `data` - that is returned from `ListModel.getElementAt(int)`
        `index` - the index of the data that is currently being rendered
      Throws:
        `java.lang.Exception`